package com.braintree.command.result;

import com.braintree.hybris.data.BraintreeTransactionData;
import com.braintreegateway.ResourceCollection;
import com.braintreegateway.Transaction;


public class BrainTreeFindTransactionResult extends BrainTreeAbstractResult {

    private ResourceCollection<Transaction> transactions;
    private BraintreeTransactionData transactionData;
    private boolean isExceedLimit;

    public BrainTreeFindTransactionResult() {
    }

    public BrainTreeFindTransactionResult(final ResourceCollection<Transaction> transactions) {
        this.transactions = transactions;
    }

    public ResourceCollection<Transaction> getTransactions() {
        return transactions;
    }

    public BraintreeTransactionData getTransactionData() {
        return transactionData;
    }

    public void setTransactionData(BraintreeTransactionData transactionData) {
        this.transactionData = transactionData;
    }

    public boolean isExceedLimit() {
        return isExceedLimit;
    }

    public void setExceedLimit(boolean exceedLimit) {
        isExceedLimit = exceedLimit;
    }
}
